*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    /* flex-wrap: wrap; */
    user-select: none;
    scroll-behavior: smooth;
}
html,body{
    height: 100%;
    width: 100%;
    
}
body{
    background-color: black;
    position: relative;
    overflow-x: hidden;
}
header{
    position: fixed;
    z-index: 999;
    top: 0;
    width: 100%;
    background-color: black;
    
}
nav{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
nav .logo{
    width: 30%;
    height: 100px;
    
}
.logo img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.about-pages{
    width: 40%;
}
nav .about-pages ul {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
nav .about-pages ul li {
    list-style: none;
    position: relative;
}
.aaa {
    list-style: none;
    text-decoration: none;
    font-size: 2rem;
    color: white;
    font-family: sans-serif;
}
.aaa::after{
    content: " ";
    width: 30%;
    background-color: crimson;
    height: 5px;
    position: absolute;
    left: -2px;
    bottom: -5px;
    border-radius: 8px;
    transition: 0.5s ease-in-out ;
}
.aaa:hover::after{
    width: 100%;
}
i{
    color: white;
    font-weight: 800;
    font-size: 3vw;
    display: none;
}
@media (max-width:600px){
        .mobile-none{
            display: none;
        }
        i{
            display: flex;
        }
        .key-points{
           /* display: grid;
           grid-template-columns: repeat(1,1fr);
           white-space: nowrap; */
           display: flex;
           align-items: flex-start;
           flex-direction: column;
           
        }
        nav .logo{
    width: 30%;
    height: 20vw;
    
}
nav .about-pages ul {
    
    justify-content: space-around;
}
      
}

/* here is start css of hero section */
.typing{
    font-size: 28px;
    font-weight: bold;
    white-space: nowrap;
    overflow: hidden;
    border-right: 3px solid black;
    width: 0;
    animation:  typing 8s steps(30) infinite;
}
.typing span::before{
    color: crimson;
    content: "I am Frontend Developer";
    animation: changeText 8s infinite;
}
@keyframes typing{
    0% {width: 0;}
    20% {width: 27ch;}
    40% {width: 27ch;}
    50% {width: 0;}
    60% { width: 0;}
    80% {width: 26ch;}
    100% {width: 26ch;}
}
@keyframes changeText{
    0% ,50% {
        content: "I am frontend Developer";
    }
    51%,100%{
        content: "I am backend Developer";
    }
}
#hero{
    padding-top: 10vw;
    height: fit-content;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.hero-outer{
    width: 100%;
    display: flex;
    justify-content: space-around;
    align-items: center;
}
.profile-outer{
    height: 500px;
    width: 40%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.profile-outer img{
    height: 400px;
    width: 400px;
    border-radius: 50%;
    background-color: crimson;
    object-fit: cover;
}
.about-info{
    height: 500px;
    width: 55%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}
.about-info h1, p {
    width: 80%;
    color: white;
    text-align: center;
}
.about-info h1{
    font-size: 3em;
}
.about-info p{
    font-size: 1.5em;
}

@media (max-width:600px){
    #hero{
        padding-top: 100px;
    }
       .hero-outer{
        flex-direction: column;
       }
       .profile-outer{
    height: 250px;
    width: 250px;
  
   
}
.profile-outer img{
    height: 90%;
    width: 90%;
 
}
.about-info{
   height: 400px;
   width: 100%;
}
.about-info h1{
    margin-top: -20vw;
    margin-left: -8vw;
    font-size: 7vw;
    white-space: nowrap;
}
.about-info p{
    font-size: 5vw;
    text-align: center;
}
}

/* here is about section and here is the code */
#about {
    width: 80%;
    margin: 0 auto;
}
#about h1 {
    color: crimson;
    text-align: center;
    font-family: sans-serif;
    font-size: 3em;
}
#about hr{
    background-color: crimson;
    color: crimson;
    width: 60%;
    margin: 0 auto;
    height: 6px;
    border: none;
    border-radius: 10px;
}
#about p{
    text-align: justify;
    margin: 0 auto;
    font-size: 1.5em;
    margin-top: 15px;
}
span{
    color: crimson;
    font-size: 1.2em;
}
ul{
    width: 80%;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
}
ul li {
    color: crimson;
    font-size: 1.6em;
    margin-top: 10px;
}
#skills,#Service{
    margin-top: 30px;
    width: 100%;
}
.same{
    color: crimson;
    width: 80%;
    margin: 0 auto;
    text-align: center;
    font-size: 3em;
    font-family: sans-serif;
}
.hr{
    background-color: crimson;
    color: crimson;
    width: 60%;
    margin: 0 auto;
    height: 6px;
    border: none;
    border-radius: 10px;
}
.skill-box{
    margin: 20px auto;
    width: 80%;
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 20px;
}

.skill-item{
    display: flex;
    align-items: center;
    justify-content: center;
}
.skill-item img{
    width: 50%;
    
}
.skill-item,.service-item{
    height: 250px;
    background: linear-gradient(blue,crimson);
    border-radius: 20px;
    transition: 0.5s ease-in;
}
.skill-item:hover{
    background: linear-gradient(45deg,green,blue);
}
.skill-item:hover,.service-item:hover{
    transform: translateY(-10px);
}
@media (max-width:600px){
    #about{
        margin-top: -20vw;
        width: 100%;
    }
       .skill-box{
        grid-template-columns: repeat(1,1fr);
        width: 100%;
       }
       .pp{
        width: 100%;
       }
}
/* here is the start service Box */
.service-box{
    margin: 20px auto;
    width: 80%;
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 20px;
}
.service-item{
    background: linear-gradient(black);
    border: 2px solid white;
    height: fit-content;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 2%;
}
.service-item:hover{
    background: linear-gradient(red,blue);
}
.service-item h1:nth-child(1){
    color: white;
}
.service-item h1:nth-child(2){
    color: crimson;
}
.service-item p{
    font-size: 1.1em;
}
@media (max-width:600px){
       .service-box{
       grid-template-columns: repeat(1,1fr);
       }
       .service-item{
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
       }
       .service-item h1{
        font-size: 5vw;
        white-space: nowrap;
       }
       .main-class h1{
            font-size: 8vw;
            white-space: nowrap;
       }
      
}
/* here is the start Project-box */
.Project-box{
    width: 80%;
    margin: 20px auto;
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 20px;
}
.Project-item{
    height: 200px;
    border: 2px solid crimson;
    border-radius: 20px;
    transition: 0.5s ease-in;
}

.Project-item img{
    height: 100%;
    width: 100%;
    border-radius: 20px;
    transition: 0.5s ease-in;
}

@media (max-width:600px){
     .Project-box{
        grid-template-columns: repeat(1,1fr);
       }
}
/* here is the start contact box */
#Contact {
    width: 80%;
    margin: 20px auto;
}
.contact-contain-box{
    margin: 20px auto;
    display: flex;
    align-items: center;
    justify-content: center;
}
.contact-info{
    width: 40%;
    height: 400px;
}
.contact-info h1{
    color: crimson;
    font-size: 3em;
    text-align: center;
    margin: 10px auto;
}

.contact-info p {
    width: 70%;
    margin: 10px auto;
    font-size: 1.5em;
    text-align: justify;
}
.contact-details-contain{
    width: 80%;
    margin: 20px auto;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}
.contact-details-contain a{
    width: 80%;
    text-decoration: none;
    color: white;
    font-size: 1.5em;
    margin: 5px auto;
}
a i{
    margin: 5px;
}
.contact-form{
    margin-left: -5%;
    width: 40%;
    height: fit-content;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding-top: 10vw;
    
}
.contact-name,.contact-email,.contact-textarea{
    display: flex;
    justify-content: center;
    flex-direction: column;
   margin: 2% auto;
    text-align: left;
    width: 70%;
}
.contact-form label {
    color: white;
    text-transform: capitalize;
    margin: 3% 0;
    font-size: 1.5rem;
}
input[type = "text"],input,textarea{
    width: 180%;
    height: 6vh;
    border: none;
    outline: none;
    background-color: gray;
    width: 90%;
}
input::placeholder,textarea::placeholder{
    color: rgb(196, 185, 185);
    font-size: 1.3em;
}
button{
    padding: 1.5vh 1.2vw;
    background-color: red;
    border: none;
    color: white;
    font-size: 1.2em;
   border-radius: 10px;
}
.contact-button{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    
}
textarea{
    height: 20vh;
}
@media (max-width:600px){
    .contact-contain-box{
        flex-direction: column;
        justify-content: space-between;
    }
    .contact-info{
        width: 100%;
    }
    .Project-item{
        width: 100%;
    }
    .aa{
        display: flex;
        align-items: center;
        justify-content: flex-start;
        
    }
    .contact-form{
        margin-top: 8vw;
        width: 100%;
        padding: 0 -10vw;
    }
    .input-name{
        font-size: 1vw;
        
    }
    .input-name input{
        width: 100%;
    }
}

/* here is the start footer */
footer{
    width: 100%;
    height: 10vh;
    background-color: rgb(109, 3, 109);
    color: white;
    display: flex;
    align-items: center;
    justify-content: space-around;
}
@media (max-width:600px){
    .footer-copyright,.footer-design-details{
        font-size: 2vw;
    }
}